# Uses of Interface
net.sourceforge.jiu.color.data.Histogram3D

Packages that use Histogram3D
Package
Description
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.data
net.sourceforge.jiu.color.io
net.sourceforge.jiu.color.quantization
net.sourceforge.jiu.color.reduction

## Uses of Histogram3D in net.sourceforge.jiu.color.analysis

Fields in net.sourceforge.jiu.color.analysis declared as Histogram3D
Modifier and Type
Field
Description
`private Histogram3D`
Histogram3DCreator.`hist`
Methods in net.sourceforge.jiu.color.analysis that return Histogram3D
Modifier and Type
Method
Description
`Histogram3D`
Histogram3DCreator.`getHistogram()`
Returns the histogram initialized in this operation.
Methods in net.sourceforge.jiu.color.analysis with parameters of type Histogram3D
Modifier and Type
Method
Description
`void`
Histogram3DCreator.`setHistogram3D(Histogram3D histogram)`
Sets the histogram object to be reused for this operation.

## Uses of Histogram3D in net.sourceforge.jiu.color.data

Classes in net.sourceforge.jiu.color.data that implement Histogram3D
Modifier and Type
Class
Description
`class`
`NaiveHistogram3D`
A class for a three-dimensional histogram that allocates one `int` value per counter at construction time.
`class`
`OnDemandHistogram3D`
A data class for a three-dimensional histogram, creating counters on demand only, not allocating counters for all possible entries at the beginning.

## Uses of Histogram3D in net.sourceforge.jiu.color.io

Methods in net.sourceforge.jiu.color.io with parameters of type Histogram3D
Modifier and Type
Method
Description
`static void`
HistogramSerialization.`save(Histogram3D hist, PrintStream out)`
Saves a three-dimensional histogram to a text output stream.

## Uses of Histogram3D in net.sourceforge.jiu.color.quantization

Constructors in net.sourceforge.jiu.color.quantization with parameters of type Histogram3D
Modifier
Constructor
Description
``
`RGBColorList(Histogram3D hist)`
Creates a new list and initializes it with the argument histogram.

## Uses of Histogram3D in net.sourceforge.jiu.color.reduction

Fields in net.sourceforge.jiu.color.reduction declared as Histogram3D
Modifier and Type
Field
Description
`private Histogram3D`
AutoDetectColorType.`hist`